Skip to main content
POST
/
v1
/
integrations
/
checks
/
connections
/
{connectionId}
/
run
Run integration checks
curl --request POST \
  --url https://api.trycomp.ai/v1/integrations/checks/connections/{connectionId}/run \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "organizationId": "<string>",
  "checkId": "aws-s3-bucket-public-access"
}
'

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

connectionId
string
required

Body

application/json
organizationId
string

Auto-resolved from your API key / session. You can omit this; it is ignored by the server.

checkId
string

Specific check ID to run. Omit to run ALL available checks for the connection (matches the provider manifest).

Example:

"aws-s3-bucket-public-access"

Response

201 - undefined